#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , m_shortcutTest(new QShortcut(this))
    , m_dlgTest(new QDialog(this))
{
    m_shortcutTest->setKey(QKeySequence("Space"));
    connect(m_shortcutTest, &QShortcut::activated, this, &MainWindow::openWindow);
}

MainWindow::~MainWindow()
{

}

void MainWindow::openWindow()
{
    m_dlgTest->show();
}
